Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class PerProcessInstanceRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager
          org.jbpm.runtime.manager.impl.PerProcessInstanceRuntimeManager

All Implemented Interfaces:
  RuntimeManager, org.kie.internal.runtime.manager.InternalRuntimeManager

    public class PerProcessInstanceRuntimeManager

extends AbstractRuntimeManager

RuntimeManager that is backed by "Per Process Instance" strategy - that means that every process instance will be bound to a ksession for it's entire life time - once started whenever other operations will be invoked this manager will ensure that correct ksession will be provided.
That applies to sub processes (reusable sub processes) that creates new process instance - sub process instance will have its own ksession independent of the parent one.
This manager will ensure that as soon as process instance completes the ksession will be disposed and destroyed.
This implementation supports following `Context` implementations:

- ProcessInstanceIdContext
- CorrelationKeyContext
- EmptyContext - for initial RuntimeEngine to start process only

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`activeManagers, environment, identifier`

Constructor Summary
`PerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, org.kie.internal.runtime.manager.SessionFactory factory, org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory, String identifier)`

Method Summary
`void` | `close()`
`void` | `disposeRuntimeEngine(RuntimeEngine runtime)`
`protected RuntimeEngine` | `findLocalRuntime(Object processInstanceId)`
`org.kie.internal.runtime.manager.SessionFactory` | `getFactory()`
`org.kie.internal.runtime.manager.Mapper` | `getMapper()`
`RuntimeEngine` | `getRuntimeEngine(Context<?> context)`
`org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory()`
`void` | `init()`
`protected void` | `removeLocalRuntime(RuntimeEngine runtime)`
`protected void` | `saveLocalRuntime(Object processInstanceId, RuntimeEngine runtime)`
`void` | `setFactory(org.kie.internal.runtime.manager.SessionFactory factory)`
`void` | `setMapper(org.kie.internal.runtime.manager.Mapper mapper)`
`void` | `setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)`
`boolean` | `validate(Integer ksessionId, Long processInstanceId)`
`void` | `validate(KieSession ksession, Context<?> context)`

Methods inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`attachManager, canDestroy, close, configureRuntimeOnTaskService, getEnvironment, getIdentifier, registerDisposeCallback, registerItems, removeRuntimeFromTaskService, setEnvironment, setIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerProcessInstanceRuntimeManager

    public PerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                            org.kie.internal.runtime.manager.SessionFactory factory,
                                            org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory,
                                            String identifier)

Method Detail

### getRuntimeEngine

    public RuntimeEngine getRuntimeEngine(Context<?> context)

### validate

    public void validate(KieSession ksession,
                         Context<?> context)
                  throws IllegalStateException

  Throws:
    `IllegalStateException`

### disposeRuntimeEngine

    public void disposeRuntimeEngine(RuntimeEngine runtime)

### close

    public void close()

  Specified by:
    `close` in interface `RuntimeManager`
  Overrides:
    `close` in class `AbstractRuntimeManager`

### validate

    public boolean validate(Integer ksessionId,
                            Long processInstanceId)

### getFactory

    public org.kie.internal.runtime.manager.SessionFactory getFactory()

### setFactory

    public void setFactory(org.kie.internal.runtime.manager.SessionFactory factory)

### getTaskServiceFactory

    public org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory()

### setTaskServiceFactory

    public void setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)

### getMapper

    public org.kie.internal.runtime.manager.Mapper getMapper()

### setMapper

    public void setMapper(org.kie.internal.runtime.manager.Mapper mapper)

### findLocalRuntime

    protected RuntimeEngine findLocalRuntime(Object processInstanceId)

### saveLocalRuntime

    protected void saveLocalRuntime(Object processInstanceId,
                                    RuntimeEngine runtime)

### removeLocalRuntime

    protected void removeLocalRuntime(RuntimeEngine runtime)

### init

    public void init()

  Specified by:
    `init` in class `AbstractRuntimeManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.